/**
 * @description 插件名称
 */
export declare const PLUGIN_NAME = "vue-cli-plugin-inject-style";
/**
 * @description 样式配置
 */
export declare const styleConfig: {
    css: {
        loaderOptions: {
            scss: {
                additionalData: string;
            };
            less: {
                additionalData: string;
            };
        };
    };
};
export type suffix = 'scss' | 'less';
export interface InjectStyle {
    /**
     * @description style root
     * @default src/style
     */
    path: string;
    /**
     * @description style suffix
     * @default ["scss","less"]
     */
    suffixs: suffix[];
}
/**
 * @description 处理插件默认配置
 * @param root string
 */
export declare const getPluginConfig: (root: string) => {
    [PLUGIN_NAME]: InjectStyle;
};
